IPCRM(1)

BEZEICHNUNG
ipcrm - bestimmte IPC-Ressourcen entfernen

ÜBERSICHT
ipcrm [Optionen]

ipcrm {shm|msg|sem} ID …

BESCHREIBUNG
ipcrm entfernt Objekte der System V Interprocess Communication (IPC) und die zugehörigen Datenstrukturen aus dem System. Um solche Objekte entfernen zu können, müssen Sie entweder Administrator oder der Ersteller oder Besitzer des Objektes sein.

IPC-Objekte von System V gibt es in drei Typen: gemeinsam genutzter Speicher, Nachrichtenwarteschlangen und Semaphoren. Nachrichtenwarteschlangen oder Semaphor-Objekte werden unmittelbar gelöscht, unabhängig davon, ob ein Prozess einen IPC-Bezeichner für dieses Objekt besitzt. Ein gemeinsam genutztes Speicherobjekt wird nur dann gelöscht, wenn alle aktuell angehängten Prozesse das Objekt von deren virtuellem Adressraum abgehängt haben (shmdt(2)).

Zwei Syntax-Stile werden unterstützt. Die historische Linux-Syntax verwendet ein Schlüsselwort aus drei Buchstaben, welches die Klasse des zu löschenden Objekts angibt, gefolgt von einem oder mehreren IPC-Bezeichnern für Objekte dieses Typs.

Die SUS-konforme Syntax ermöglicht die Angabe von null oder mehr Objekten aller drei Typen in einer einzigen Befehlszeile, wobei Objekte entweder durch Schlüssel oder Bezeichner angegeben werden, siehe unten. Sowohl Schlüssel als auch Bezeichner können in dezimaler, hexadezimaler (angegeben durch ein initiales »0x« oder »0X«) oder oktaler (angegeben durch eine initiale »0«) Schreibweise übergeben werden.

Details zu den Löschvorgängen werden in msgctl(2), shmctl(2) und semctl(2) beschrieben. Die Bezeichner und Schlüssel können durch ipcs(1) ermittelt werden.

OPTIONEN

-a, --all [shm] [msg] [sem]
    entfernt alle Ressourcen. Wenn ein Optionsargument angegeben wird, dann werden nur die Ressourcen der angegebenen Typen entfernt. Achtung! Verwenden Sie -a nicht, wenn Sie nicht sicher sind, wie die Software darauf reagiert, welche die Ressourcen verwendet. Einige Programme erzeugen diese Ressourcen beim Start und können mit deren unerwartetem Verschwinden nicht umgehen.

-M, --shmem-key shmkey
    entfernt das mit shmkey erzeugte gemeinsam genutzte Speichersegment, nachdem der letzte Abhängevorgang abgeschlossen wurde.

-m, --shmem-id shmid
    entfernt das mit shmid angegebene gemeinsam genutzte Speichersegment, nachdem der letzte Abhängevorgang abgeschlossen wurde.

-Q, --queue-key msgkey
    entfernt die mit msgkey erzeugte Nachrichtenwarteschlange.

-q, --queue-id msgid
    entfernt die mit msgid angegebene Nachrichtenwarteschlange.

-S, --semaphore-key semkey
    entfernt den mit semkey erzeugten Semaphor.

-s, --semaphore-id semid
    entfernt den mit semid angegebenen Semaphor.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

-h, --help
    zeigt diese Hilfe an und beendet das Programm.

ANMERKUNGEN
In der ersten Linux-Implementation von ipcrm wurde die in der zweiten Zeile der ÜBERSICHT angezeigte veraltete Syntax verwendet. Seither wurden die in anderen *nix-Implementationen von ipcrm verfügbaren Funktionen hinzugefügt, insbesondere die Möglichkeit zum Löschen von Ressourcen anhand des Schlüssels (nicht nur anhand des Bezeichners) und die Verwendung der gleichen Befehlszeilensyntax. Aus Gründen der Abwärtskompatibilität wird die alte Syntax weiterhin unterstützt.

SIEHE AUCH
ipcmk(1), ipcs(1), msgctl(2), msgget(2), semctl(2), semget(2), shmctl(2), shmdt(2), shmget(2), ftok(3)

VERFÜGBARKEIT
Der Befehl ipcrm ist Teil des Pakets util-linux, welches aus dem Linux Kernel-Archiv (https://www.kernel.org/pub/linux/utils/util-linux/). heruntergeladen werden kann.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Dr. Tobias Quathamer <toddy@debian.org> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.